# List Google Drive items

URL: /en/docs/api/v1/integrations/google-docs/post
Last Updated: 2026-07-30T21:15:30.133Z

## Description
No description available.

## Available Actions
- Execute POST request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### POST /api/v1/integrations/google-docs

**List Google Drive items**

Returns documents/files/folders from Google Drive using the connected integration and optional parent/search filters. Emits eventName `integrations.google_docs.fetch_documents` and failureEventName `integrations.google_docs.fetch_documents_failed`.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Request body** (`application/json`):

- `providerConfigKey` (string)
- `connectionId` (string)
- `parentId` (string)
- `includeDocs` (boolean)
- `includeFiles` (boolean)
- `includeFolders` (boolean)
- `pageToken` (string)
- `search` (string)

**Responses:**

- `200` - Google Drive items loaded
  - `success` (enum: true, required)
  - `data` (object, required)
    - `files` (array of GoogleDocItem (object), required)
      - `id` (string, required)
      - `name` (string)
      - `modifiedTime` (string)
      - `webViewLink` (string)
      - `mimeType` (string)
      - `parents` (array of string)
      - `owners` (array of GoogleDocOwner (object))
        - `displayName` (string)
        - `emailAddress` (string)
    - `nextPageToken` (string)
- `400` - Bad request
  - `error` (string, required)
  - `code` (string)
  - `data` (object)
- `401` - Unauthorized
- `403` - Forbidden - Admin or Content Manager role required, or insufficient Google Drive permissions
  - `error` (string, required)
  - `code` (string)
  - `data` (object)
- `404` - Integration missing or requested resource not found
  - `error` (string, required)
  - `code` (string)
  - `data` (object)
- `500` - Internal server error

